Package org.apache.struts2

# Class ValidationAwareSupport

java.lang.Object
org.apache.struts2.ValidationAwareSupport

All Implemented Interfaces:
  `Serializable`, `ValidationAware`

public class ValidationAwareSupport extends Object implements ValidationAware, Serializable
Provides a default implementation of ValidationAware. Returns new collections for errors and messages (defensive copy).

Version:
  $Date$ $Id$
Author:
  Jason Carreira, tm_jee
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationAwareSupport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActionError(String anErrorMessage)`
  Add an Action-level error message to this Action.
  `void`
  `addActionMessage(String aMessage)`
  Add an Action-level message to this Action.
  `void`
  `addFieldError(String fieldName, String errorMessage)`
  Add an error message for a given field.
  `void`
  `clearActionErrors()`
  Clears action errors list.
  `void`
  `clearErrors()`
  Clears all error list/maps.
  `void`
  `clearErrorsAndMessages()`
  Clears all error and messages list/maps.
  `void`
  `clearFieldErrors()`
  Clears field errors map.
  `void`
  `clearMessages()`
  Clears messages list.
  `Collection<String>`
  `getActionErrors()`
  Get the Collection of Action-level error messages for this action.
  `Collection<String>`
  `getActionMessages()`
  Get the Collection of Action-level messages for this action.
  `Map<String,List<String>>`
  `getFieldErrors()`
  Get the field specific errors associated with this action.
  `boolean`
  `hasActionErrors()`
  Check whether there are any Action-level error messages.
  `boolean`
  `hasActionMessages()`
  Checks whether there are any Action-level messages.
  `boolean`
  `hasErrors()`
  Checks whether there are any action errors or field errors.
  `boolean`
  `hasFieldErrors()`
  Check whether there are any field errors associated with this action.
  `void`
  `setActionErrors(Collection<String> errorMessages)`
  Set the Collection of Action-level String error messages.
  `void`
  `setActionMessages(Collection<String> messages)`
  Set the Collection of Action-level String messages (not errors).
  `void`
  `setFieldErrors(Map<String,List<String>> errorMap)`
  Set the field error map of fieldname (String) to Collection of String error messages.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationAwareSupport

    public ValidationAwareSupport()

- ## Method Details

  - ### setActionErrors

    public void setActionErrors(Collection<String> errorMessages)
    Description copied from interface: `ValidationAware`
    Set the Collection of Action-level String error messages.
    Specified by:
      `setActionErrors` in interface `ValidationAware`
    Parameters:
      `errorMessages` - Collection of String error messages

  - ### getActionErrors

    public Collection<String> getActionErrors()
    Description copied from interface: `ValidationAware`
    Get the Collection of Action-level error messages for this action. Error messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.
    Specified by:
      `getActionErrors` in interface `ValidationAware`
    Returns:
      Collection of String error messages

  - ### setActionMessages

    public void setActionMessages(Collection<String> messages)
    Description copied from interface: `ValidationAware`
    Set the Collection of Action-level String messages (not errors).
    Specified by:
      `setActionMessages` in interface `ValidationAware`
    Parameters:
      `messages` - Collection of String messages (not errors).

  - ### getActionMessages

    public Collection<String> getActionMessages()
    Description copied from interface: `ValidationAware`
    Get the Collection of Action-level messages for this action. Messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.
    Specified by:
      `getActionMessages` in interface `ValidationAware`
    Returns:
      Collection of String messages

  - ### setFieldErrors

    public void setFieldErrors(Map<String,List<String>> errorMap)
    Description copied from interface: `ValidationAware`
    Set the field error map of fieldname (String) to Collection of String error messages.
    Specified by:
      `setFieldErrors` in interface `ValidationAware`
    Parameters:
      `errorMap` - field error map

  - ### getFieldErrors

    public Map<String,List<String>> getFieldErrors()
    Description copied from interface: `ValidationAware`
    Get the field specific errors associated with this action. Error messages should not be added directly here, as implementations are free to return a new Collection or an Unmodifiable Collection.
    Specified by:
      `getFieldErrors` in interface `ValidationAware`
    Returns:
      Map with errors mapped from fieldname (String) to Collection of String error messages

  - ### addActionError

    public void addActionError(String anErrorMessage)
    Description copied from interface: `ValidationAware`
    Add an Action-level error message to this Action.
    Specified by:
      `addActionError` in interface `ValidationAware`
    Parameters:
      `anErrorMessage` - the error message

  - ### addActionMessage

    public void addActionMessage(String aMessage)
    Description copied from interface: `ValidationAware`
    Add an Action-level message to this Action.
    Specified by:
      `addActionMessage` in interface `ValidationAware`
    Parameters:
      `aMessage` - the message

  - ### addFieldError

    public void addFieldError(String fieldName, String errorMessage)
    Description copied from interface: `ValidationAware`
    Add an error message for a given field.
    Specified by:
      `addFieldError` in interface `ValidationAware`
    Parameters:
      `fieldName` - name of field
      `errorMessage` - the error message

  - ### hasActionErrors

    public boolean hasActionErrors()
    Description copied from interface: `ValidationAware`
    Check whether there are any Action-level error messages.
    Specified by:
      `hasActionErrors` in interface `ValidationAware`
    Returns:
      true if any Action-level error messages have been registered

  - ### hasActionMessages

    public boolean hasActionMessages()
    Description copied from interface: `ValidationAware`
    Checks whether there are any Action-level messages.
    Specified by:
      `hasActionMessages` in interface `ValidationAware`
    Returns:
      true if any Action-level messages have been registered

  - ### hasErrors

    public boolean hasErrors()
    Description copied from interface: `ValidationAware`
    Checks whether there are any action errors or field errors.
    Specified by:
      `hasErrors` in interface `ValidationAware`
    Returns:
      `(hasActionErrors() || hasFieldErrors())`

  - ### hasFieldErrors

    public boolean hasFieldErrors()
    Description copied from interface: `ValidationAware`
    Check whether there are any field errors associated with this action.
    Specified by:
      `hasFieldErrors` in interface `ValidationAware`
    Returns:
      whether there are any field errors

  - ### clearFieldErrors

    public void clearFieldErrors()
    Clears field errors map.

    Will clear the map that contains field errors.

  - ### clearActionErrors

    public void clearActionErrors()
    Clears action errors list.

    Will clear the list that contains action errors.

  - ### clearMessages

    public void clearMessages()
    Clears messages list.

    Will clear the list that contains action messages.

  - ### clearErrors

    public void clearErrors()
    Clears all error list/maps.

    Will clear the map and list that contain field errors and action errors.

  - ### clearErrorsAndMessages

    public void clearErrorsAndMessages()
    Clears all error and messages list/maps.

    Will clear the maps/lists that contain field errors, action errors and action messages.